Bulk update labels

Body·
required
application/json

Label - array of Label records to be updated

  • Type: array object[] · Array of multiple Label objects
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/label
curl https://test.boost.space/api/label \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "createdUserId": 42,
    "updated": "2026-01-15T09:30:00Z",
    "updatedUserId": 42,
    "spaces": {
      "12": [
        "contact",
        "todo"
      ],
      "34": []
    },
    "name": "Sample name",
    "color": "#1f6feb",
    "type": "string",
    "module": "string",
    "editable": true
  }
]'
[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "createdUserId": 42,
    "updated": "2026-01-15T09:30:00Z",
    "updatedUserId": 42,
    "spaces": {
      "12": [
        "contact",
        "todo"
      ],
      "34": []
    },
    "name": "Sample name",
    "color": "#1f6feb",
    "type": "string",
    "module": "string",
    "editable": true
  }
]